local filewatch = {}
function filewatch:start()
	self.other_thread = love.thread.newThread("filewatch", "fileWatchThread.lua")
	self.other_thread:start()
	self.other_thread:get("error")
end
function filewatch:update()
	value = self.other_thread:get("new_file")
	if value then
		-- load up the new file that was changed
		local ok, chunk, result
		ok, chunk = pcall( love.filesystem.load, value ) -- load the chunk safely
		if not ok then
		  print('The following error happend: ' .. tostring(chunk))
		else
		  ok, result = pcall(chunk) -- execute the chunk safely

		  if not ok then -- will be false if there is an error
		    print('The following error happened: ' .. tostring(result))
		  else
		    print('The result of loading is: ' .. tostring(result))
		  end
		end
	end
end
return filewatch